Ventia
Contact

Search one contact

GET
/contacts/findone

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key sent as Authorization: Bearer <API_KEY>.

Query Parameters

q*string

Search term. Can be contact _id, phone number or email.

Response Body

OK

application/json; charset=utf-8
  1. response
_id*string
company*string
firstName*string
lastName*string
origin*string
phones*array<string>
agent*string
agentAssigned*string
archivingReason*string
status*string
emails*array<string>
detail*string
createdAt*string
updatedAt*string
__v*integer
Formatint32
lastInteraction*string
archivingReasonText*string
agentFullName*string
curl -X GET 'https://api.getventia.com/api/v1.0/contacts/findone?q=621e8a5463c02a8bd532ff8c'
{  "_id": "621e8a5463c02a8bd532ff8c",  "company": "609b3cff61ffd5f1e446d234",  "firstName": "Agustin",  "lastName": "Suarez",  "origin": "local",  "phones": [    "+59897123456"  ],  "agent": "6234da84259c59d9a555c498",  "firstAgent": "6234da84259c59d9a555c498",  "agentAssigned": "2022-03-01T21:04:20.611Z",  "archivingReason": "",  "status": "closed",  "emails": [],  "detail": "",  "createdAt": "2022-03-01T21:04:20.617Z",  "updatedAt": "2022-05-20T16:00:00.004Z",  "__v": 0,  "lastInteraction": "2022-05-20T16:00:00.004Z",  "archivingReasonText": "",  "agentFullName": "Agente"}